Community discussions

 
WirelessRudy
Forum Guru
Forum Guru
Topic Author
Posts: 3089
Joined: Tue Aug 08, 2006 5:54 pm
Location: Spain

6.37.2 Warning Dude doesn't work! Wait for 37.3?

Mon Nov 21, 2016 7:44 pm

What the heck is this?

We have been updating our complete network over the last weeks to 6.37.1 and since it's 'current' now for an amazingly long time for MT standards we last week finally decided to update our Dude Program to 6.37.1. After soo many weeks "current" it must be safe to do so...... well, MT guys, you really let us down...
Only two days after we upgrade MT comes with the warning the Dude doesn't work in this verion!!!! It must not get crazier.... did you wait for our update or what?

And, what is not working? As far as I can see our Dude 6.37.1 looks to work. Or can we expect now a major crash any moment?

Why has this supposed error not submerge in the last months that already 6.37.1 runs?

What to do now? Do we go back to.. what version?
Show your appreciation of this post by giving me Karma! Thanks.

Rudy R. Puister

WISP operator based on MT routerboard & ROS.
 
Sob
Forum Guru
Forum Guru
Posts: 4806
Joined: Mon Apr 20, 2009 9:11 pm

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Mon Nov 21, 2016 10:00 pm

As I understand it, Dude doesn't work only(*) in 6.37.2. If 6.37.1 works fine for you, then keep it, stay calm and wait for 6.37.3, which should come out soon.

(*) It is a little strange to release version with major known bugs, which I'd say non-working Dude is. In developement branch, ok. But in branch supposedly usable for production...
People who quote full posts should be spanked with ethernet cable. Some exceptions for multi-topic threads may apply.
 
WirelessRudy
Forum Guru
Forum Guru
Topic Author
Posts: 3089
Joined: Tue Aug 08, 2006 5:54 pm
Location: Spain

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 1:36 am

As I understand it, Dude doesn't work only(*) in 6.37.2. If 6.37.1 works fine for you, then keep it, stay calm and wait for 6.37.3, which should come out soon.
The changelog for 37.2 actually only says that the dude doesn't work. Nothing else. Nothing else to update for.... but it is enlisted now as the hihgest number 'current' version so (semi)automatich downloads on routerboards etc. in fact do nothing and on a dude device bricks it.......???
Show your appreciation of this post by giving me Karma! Thanks.

Rudy R. Puister

WISP operator based on MT routerboard & ROS.
 
User avatar
macgaiver
Forum Guru
Forum Guru
Posts: 1721
Joined: Wed May 18, 2005 5:57 pm
Location: Sol III, Sol system, Sector 001, Alpha Quadrant

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 7:02 am

Well, from where i stand - better Dude than firewall (37.1 was actually breaking existing firewall configuration), all proper Dude users are on RC version anyway.
With great knowledge comes great responsibility, because of ability to recognize id... incompetent people much faster.
 
jarda
Forum Guru
Forum Guru
Posts: 7604
Joined: Mon Oct 22, 2012 4:46 pm

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 7:17 am

Who is such a selfkiller to be willing to make an update over all network devices without prior reading of change log, observing forum and appropriate testing? Especially when he doesn't know why he needs to update?

Maybe it is some kind of fool but definitely not an administrator.
 
User avatar
macgaiver
Forum Guru
Forum Guru
Posts: 1721
Joined: Wed May 18, 2005 5:57 pm
Location: Sol III, Sol system, Sector 001, Alpha Quadrant

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 8:48 am

BTW Dude does work in this version !!!!
With great knowledge comes great responsibility, because of ability to recognize id... incompetent people much faster.
 
User avatar
PaulsMT
MikroTik Support
MikroTik Support
Posts: 283
Joined: Tue Feb 10, 2015 3:21 pm

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 8:52 am

The Dude still works in version 6.37.2, but the auto upgrade will not. This means you can still upgrade your Dude server, but for Dude client you will need to use manual installation.

6.37.2 Client can be found here:
http://www.mikrotik.com/download

This will be fixed in 6.37.3
 
jarda
Forum Guru
Forum Guru
Posts: 7604
Joined: Mon Oct 22, 2012 4:46 pm

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 9:00 am

So the change log statement is more than misleading.
 
User avatar
PaulsMT
MikroTik Support
MikroTik Support
Posts: 283
Joined: Tue Feb 10, 2015 3:21 pm

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 9:39 am

The changelog is updated, thanks.
 
WirelessRudy
Forum Guru
Forum Guru
Topic Author
Posts: 3089
Joined: Tue Aug 08, 2006 5:54 pm
Location: Spain

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 12:40 pm

Who is such a selfkiller to be willing to make an update over all network devices without prior reading of change log, observing forum and appropriate testing? Especially when he doesn't know why he needs to update?

Maybe it is some kind of fool but definitely not an administrator.
I don't know if this is pointed towards me but am going to answer anyway.

We've update the whole of our network exept dude and usermanager towards 6.37.1 in the last weeks after we found it works stable for all in the field units and routers at our central.
We are occurring no issues with this version nor do we see any alarming post in this forum.
So now two weeks later after our last units are updated and the network runs fine and we still see small issues in the dude with v. 6.34 we decided to give it a go.
Update dude to 3.37.1. And in fact it still works and the small issues we've had before up to now didn't pop up yet agains... so al fine.

Just now we'd wanted to re-use an old SXT for a new client we found the upgrade showed 6.37.2 as the latest 'current' but no change log apart from the warning that Dude is not functioning in this (which?) version anymore!
So this IS very confusing and makes me wonder what the issue is and in which version did this came up?

We've had lengthy discussion in this forum abt. upgrade procedures and it is esthablished that 'current' means stable and that as operator you'd better be on the conservative side so wait a bit and follow the forums. This is exactly what we did!
If this now would not be a proper procedure then tell me what it is? Only work with bug free version 6.36? And then still find a bug? With MT (like any OS) there is not something like a 100% bug free, problem free version. So we work by the guidelines and that's it.
Show your appreciation of this post by giving me Karma! Thanks.

Rudy R. Puister

WISP operator based on MT routerboard & ROS.
 
WirelessRudy
Forum Guru
Forum Guru
Topic Author
Posts: 3089
Joined: Tue Aug 08, 2006 5:54 pm
Location: Spain

Re: 6.37.2 Warning Dude doesn't work! Wait for 37.3?

Tue Nov 22, 2016 12:43 pm

The changelog is updated, thanks.
No, its not.
changelog 6.37.2.PNG
You do not have the required permissions to view the files attached to this post.
Show your appreciation of this post by giving me Karma! Thanks.

Rudy R. Puister

WISP operator based on MT routerboard & ROS.

Who is online

Users browsing this forum: No registered users and 6 guests